# Interface PixSample.CoordReader

Enclosing class:
  `PixSample`

public static interface PixSample.CoordReader
Interface to turn input coordinate values into coordinate values suitable for pixel sampling.

Since:
  6 Dec 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getCoords(double lonDeg, double latDeg)`
Gets sampling lon/lat coordinates given some input coordinates.

## Method Details

### getCoords

double[] getCoords(double lonDeg, double latDeg)
Gets sampling lon/lat coordinates given some input coordinates.

Parameters:
  `lonDeg` - first input coordinate
  `latDeg` - second input coordinate
Returns:
  (lon,lat) array of coordinates giving sampling position